org.jclouds.rds.options
Class ListInstancesOptions

java.lang.Object
  extended by org.jclouds.http.options.BaseHttpRequestOptions
      extended by org.jclouds.rds.options.ListInstancesOptions
All Implemented Interfaces:
Cloneable, HttpRequestOptions

public class ListInstancesOptions
extends BaseHttpRequestOptions
implements Cloneable

Options used to list available instances.

Author:
Adrian Cole
See Also:
docs

Nested Class Summary
static class ListInstancesOptions.Builder
           
 
Field Summary
 
Fields inherited from class org.jclouds.http.options.BaseHttpRequestOptions
formParameters, headers, matrixParameters, pathSuffix, payload, queryParameters
 
Constructor Summary
ListInstancesOptions()
           
 
Method Summary
 ListInstancesOptions afterMarker(Object marker)
          Use this parameter only when paginating results, and only in a subsequent request after you've received a response where the results are truncated.
 com.google.common.collect.Multimap<String,String> buildFormParameters()
          Builds form parameters representing options.
 ListInstancesOptions clone()
           
 boolean equals(Object obj)
          
 int hashCode()
          
 ListInstancesOptions name(String name)
           
 ListInstancesOptions names(Set<String> names)
          list of names associated with the Instances at creation time.
 String toString()
          
 
Methods inherited from class org.jclouds.http.options.BaseHttpRequestOptions
buildMatrixParameters, buildPathSuffix, buildQueryParameters, buildRequestHeaders, buildStringPayload, getFirstFormOrNull, getFirstHeaderOrNull, getFirstMatrixOrNull, getFirstQueryOrNull, replaceHeader
 
Methods inherited from class java.lang.Object
finalize, getClass, notify, notifyAll, wait, wait, wait
 

Constructor Detail

ListInstancesOptions

public ListInstancesOptions()
Method Detail

afterMarker

public ListInstancesOptions afterMarker(Object marker)
Use this parameter only when paginating results, and only in a subsequent request after you've received a response where the results are truncated. Set it to the value of the Marker element in the response you just received.


names

public ListInstancesOptions names(Set<String> names)
list of names associated with the Instances at creation time.


name

public ListInstancesOptions name(String name)
See Also:
names

buildFormParameters

public com.google.common.collect.Multimap<String,String> buildFormParameters()
Description copied from interface: HttpRequestOptions
Builds form parameters representing options.

Specified by:
buildFormParameters in interface HttpRequestOptions
Overrides:
buildFormParameters in class BaseHttpRequestOptions
Returns:
map that may contain query parameters.

hashCode

public int hashCode()

Overrides:
hashCode in class BaseHttpRequestOptions

clone

public ListInstancesOptions clone()
Overrides:
clone in class Object

equals

public boolean equals(Object obj)

Overrides:
equals in class BaseHttpRequestOptions

toString

public String toString()

Overrides:
toString in class BaseHttpRequestOptions


Copyright © 2009-2012 jclouds. All Rights Reserved.